#ifndef __FAT_H__
#define __FAT_H__

typedef struct FAT FAT;

typedef enum fat_e
{
  FAT_12,
  FAT_16,
  FAT_32,
  FAT_INVALID=-1
} fat_e;

FAT *FAT_open(const char *filename);
fat_e FAT_type(FAT *fat);
int FAT_copy(FAT *f, int fdout);
void FAT_close(FAT *);

#endif/*__FAT_H__*/
