#ifndef __FAT_BOOT_H__
#define __FAT_BOOT_H__

#include "fat_internal.h"

sector_t  BOOT_data_start(const FAT_boot *fb);
sector_t  BOOT_fat_sectors(const FAT_boot *fb);
sector_t  BOOT_fat_table_start(const FAT_boot *fb);
sector_t  BOOT_total_sectors(const FAT_boot *fb);
sector_t  BOOT_root_start(const FAT_boot *fb);
sector_t  BOOT_fat_sectors(const FAT_boot *fb);
sector_t  BOOT_root_sectors(const FAT_boot *fb);
sector_t  BOOT_total_sectors(const FAT_boot *fb);
cluster_t BOOT_clusters(const FAT_boot *fb);
fat_e     BOOT_fstype(const FAT_boot *fb);

#endif/*__FAT_BOOT_H__*/
